<?php

declare(strict_types=1);

namespace Drupal\component_library;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of component_library_asset config entities.
 */
final class ComponentLibraryAssetListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader(): array {
    $header = [];
    $header['label'] = $this->t('Label');
    $header['id'] = $this->t('Machine name');
    $header['theme'] = $this->t('Theme');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity): array {
    /** @var \Drupal\component_library\ComponentLibraryAssetInterface $entity */
    $row = [];
    $row['label'] = $entity->label();
    $row['id'] = $entity->id();
    $row['theme'] = $entity->get('theme') ?? '';
    return $row + parent::buildRow($entity);
  }

}
